Bug 751722 - Review Request: ghc-hakyll - Static website compiler library
Review Request: ghc-hakyll - Static website compiler library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: ghc-cryptohash ghc-regex-pcre
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-07 05:54 EST by Jens Petersen
Modified: 2011-12-02 16:35 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-hakyll-3.2.0.10-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-02 16:31:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-11-07 05:54:28 EST
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-hakyll/ghc-hakyll.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-hakyll/ghc-hakyll-3.2.0.10-1.fc15.src.rpm
Description: 
Hakyll is a static website compiler library. It provides you with the tools to create a simple or advanced static website using a Haskell DSL and formats such as markdown or RST. You can find more information, including a tutorial, on the website: http://jaspervdj.be/hakyll
Comment 1 Jens Petersen 2011-11-07 21:12:07 EST
Koji scratch build in rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3496173
Comment 2 Narasimhan 2011-11-17 05:47:25 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-hakyll-3.2.0.10-1.fc15.src.rpm ghc-hakyll-3.2.0.10-1.fc15.x86_64.rpm  ghc-hakyll-devel-3.2.0.10-1.fc15.x86_64.rpm ../ghc-hakyll.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
License is BSD
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
 md5sum ghc-hakyll-3.2.0.10-1.fc15.src/hakyll-3.2.0.10.tar.gz 
d5580221bad36fd7adfb5e50639107d1  ghc-hakyll-3.2.0.10-1.fc15.src/hakyll-3.2.0.10.tar.gz

 md5sum hakyll-3.2.0.10.tar.gz 
d5580221bad36fd7adfb5e50639107d1  hakyll-3.2.0.10.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-hakyll
error: Failed dependencies:
        ghc(hakyll-3.2.0.10) = 3c875a8599ec59086ef3e0bcb6cd1f27 is needed by (installed) ghc-hakyll-devel-3.2.0.10-1.fc15.x86_64
        ghc-hakyll = 3.2.0.10-1.fc15 is needed by (installed) ghc-hakyll-devel-3.2.0.10-1.fc15.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
Checked with rpmquery --whatprovides and list
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[-]SHOULD: If license header is not included in the sources files, the packager should query upstream to include it
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Loaded Hakyll.Core.CompiledItem into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.
Comment 3 Jens Petersen 2011-11-17 19:54:45 EST
Thank you very for reviewing the package.


New Package SCM Request
=======================
Package Name: ghc-hakyll
Short Description: Static website compiler library
Owners: petersen
Branches: f16 f15 el6
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2011-11-18 08:00:27 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-11-20 23:40:03 EST
ghc-hakyll-3.2.0.10-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-hakyll-3.2.0.10-1.fc15
Comment 6 Fedora Update System 2011-11-20 23:40:11 EST
ghc-hakyll-3.2.0.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-hakyll-3.2.0.10-1.fc16
Comment 7 Fedora Update System 2011-11-21 17:52:39 EST
Package ghc-hakyll-3.2.0.10-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-hakyll-3.2.0.10-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16208/ghc-hakyll-3.2.0.10-1.fc15
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-12-02 16:31:16 EST
ghc-hakyll-3.2.0.10-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 9 Fedora Update System 2011-12-02 16:35:19 EST
ghc-hakyll-3.2.0.10-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.